Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::NamedValue Class Reference

CORBA Name/value pair implementation. More...

`#include <NVList.h>`

Collaboration diagram for CORBA::NamedValue:

[legend]
List of all members.

## Public Types
typedef NamedValue_ptr | _ptr_type
typedef NamedValue_var | _var_type
## Public Methods
const char * | name (void) const
| optional name
Any_ptr | value (void) const
| return the value
Flags | flags (void) const
| return the parameter mode flag
ULong | _incr_refcnt (void)
ULong | _decr_refcnt (void)
## Static Public Methods
NamedValue * | _duplicate (NamedValue *)
NamedValue * | _nil (void)
## Protected Methods
| ~NamedValue (void)
| Destructor.
## Private Methods
| NamedValue (void)
## Private Attributes
ULong | refcount_
| maintains how many references exist to this object
TAO_SYNCH_MUTEX | refcount_lock_
| Protects the reference count.
Any | any_
| holds the value
Flags | flags_
| parameter mode flags
char * | name_
| optional IDL name of the parameter
## Friends
class | ORB
class | NVList
class | Request

## Detailed Description

CORBA Name/value pair implementation.

These occur only in "NVList" (named value list) data structures. The binary form of the data structure is frozen and visible to programs using it (e.g. from C). The C++ class supports some programming discipline, e.g. to avoid memory leaks. They just represent parameters to calls. The name is optional, and the value is packaged as an Any. The flags indicate parameter mode, and some ownership rules for "top level" memory.

## Member Typedef Documentation

typedef NamedValue_ptr CORBA::NamedValue::_ptr_type

typedef NamedValue_var CORBA::NamedValue::_var_type

## Constructor & Destructor Documentation

CORBA::NamedValue::~NamedValue | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce proper memory management through the reference counting mechanism.

ACE_INLINE CORBA::NamedValue::NamedValue | ( | void |  | ) | `[private]`

| private constructor. Cannot be directly instantiated other than by its friends.

## Member Function Documentation

CORBA::ULong CORBA::NamedValue::_decr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::NamedValue * CORBA::NamedValue::_duplicate | ( | NamedValue * |  | ) | `[static]`

CORBA::ULong CORBA::NamedValue::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::NamedValue * CORBA::NamedValue::_nil | ( | void |  | ) | `[static]`

ACE_INLINE CORBA::Flags CORBA::NamedValue::flags | ( | void |  | ) | const

| return the parameter mode flag

ACE_INLINE const char * CORBA::NamedValue::name | ( | void |  | ) | const

| optional name

ACE_INLINE CORBA::Any_ptr CORBA::NamedValue::value | ( | void |  | ) | const

| return the value

## Friends And Related Function Documentation

friend class NVList`[friend]`

friend class ORB`[friend]`

friend class Request`[friend]`

## Member Data Documentation

Any CORBA::NamedValue::any_`[private]`

| holds the value

Flags CORBA::NamedValue::flags_`[private]`

| parameter mode flags

char* CORBA::NamedValue::name_`[private]`

| optional IDL name of the parameter

ULong CORBA::NamedValue::refcount_`[private]`

| maintains how many references exist to this object

TAO_SYNCH_MUTEX CORBA::NamedValue::refcount_lock_`[private]`

| Protects the reference count.

The documentation for this class was generated from the following files:

- NVList.h
- NVList.cpp
- NVList.i